## CdEdid

CdEdid

## Functions

GQuark | cd_edid_error_quark ()
CdEdid * | cd_edid_new ()
void | cd_edid_reset ()
gboolean | cd_edid_parse ()
const gchar * | cd_edid_get_monitor_name ()
const gchar * | cd_edid_get_vendor_name ()
const gchar * | cd_edid_get_serial_number ()
const gchar * | cd_edid_get_eisa_id ()
const gchar * | cd_edid_get_checksum ()
const gchar * | cd_edid_get_pnp_id ()
guint | cd_edid_get_width ()
guint | cd_edid_get_height ()
gdouble | cd_edid_get_gamma ()
const CdColorYxy * | cd_edid_get_red ()
const CdColorYxy * | cd_edid_get_green ()
const CdColorYxy * | cd_edid_get_blue ()
const CdColorYxy * | cd_edid_get_white ()

## Types and Values

#define | CD_EDID_ERROR
#define | CD_TYPE_EDID
struct | CdEdidClass
| CdEdid

## Description

## Functions

### cd_edid_error_quark ()

    GQuark
    cd_edid_error_quark (void);

Gets the CdEdid error quark.

#### Returns

a GQuark

Since: 1.1.2

### cd_edid_new ()

    CdEdid *
    cd_edid_new (void);

Creates an object suitable for parsing an EDID.

#### Returns

A new CdEdid

Since: 1.1.2

### cd_edid_reset ()

    void
    cd_edid_reset (CdEdid *edid);

Resets all cached data.

#### Parameters

edid | A valid CdEdid |

Since: 1.1.2

### cd_edid_parse ()

    gboolean
    cd_edid_parse (CdEdid *edid,
                   GBytes *edid_data,
                   GError **error);

Parses the EDID.

#### Parameters

edid | A valid CdEdid |
edid_data | data to parse |
error | A GError, or `NULL` |

#### Returns

`TRUE` for success

Since: 1.1.2

### cd_edid_get_monitor_name ()

    const gchar *
    cd_edid_get_monitor_name (CdEdid *edid);

Gets the EDID monitor name.

#### Parameters

edid | A valid CdEdid |

#### Returns

string value

Since: 1.1.2

### cd_edid_get_vendor_name ()

    const gchar *
    cd_edid_get_vendor_name (CdEdid *edid);

Gets the EDID vendor name.

#### Parameters

edid | A valid CdEdid |

#### Returns

string value

Since: 1.1.2

### cd_edid_get_serial_number ()

    const gchar *
    cd_edid_get_serial_number (CdEdid *edid);

Gets the EDID serial number.

#### Parameters

edid | A valid CdEdid |

#### Returns

string value

Since: 1.1.2

### cd_edid_get_eisa_id ()

    const gchar *
    cd_edid_get_eisa_id (CdEdid *edid);

Gets the EDID EISA ID.

#### Parameters

edid | A valid CdEdid |

#### Returns

string value

Since: 1.1.2

### cd_edid_get_checksum ()

    const gchar *
    cd_edid_get_checksum (CdEdid *edid);

Gets the EDID MD5 checksum.

#### Parameters

edid | A valid CdEdid |

#### Returns

string value

Since: 1.1.2

### cd_edid_get_pnp_id ()

    const gchar *
    cd_edid_get_pnp_id (CdEdid *edid);

Gets the EDID PNP ID.

#### Parameters

edid | A valid CdEdid |

#### Returns

string value

Since: 1.1.2

### cd_edid_get_width ()

    guint
    cd_edid_get_width (CdEdid *edid);

Gets the panel width in inches.

#### Parameters

edid | A valid CdEdid |

#### Returns

integer value

Since: 1.1.2

### cd_edid_get_height ()

    guint
    cd_edid_get_height (CdEdid *edid);

Gets the panel height in inches.

#### Parameters

edid | A valid CdEdid |

#### Returns

integer value

Since: 1.1.2

### cd_edid_get_gamma ()

    gdouble
    cd_edid_get_gamma (CdEdid *edid);

Gets the native panel gamma.

#### Parameters

edid | A valid CdEdid |

#### Returns

floating point value

Since: 1.1.2

### cd_edid_get_red ()

    const CdColorYxy *
    cd_edid_get_red (CdEdid *edid);

Gets the red primary.

#### Parameters

edid | A valid CdEdid |

#### Returns

`TRUE` for success

Since: 1.1.2

### cd_edid_get_green ()

    const CdColorYxy *
    cd_edid_get_green (CdEdid *edid);

Gets the green primary.

#### Parameters

edid | A valid CdEdid |

#### Returns

CdColorYxy chromaticity

Since: 1.1.2

### cd_edid_get_blue ()

    const CdColorYxy *
    cd_edid_get_blue (CdEdid *edid);

Gets the blue primary.

#### Parameters

edid | A valid CdEdid |

#### Returns

CdColorYxy chromaticity

Since: 1.1.2

### cd_edid_get_white ()

    const CdColorYxy *
    cd_edid_get_white (CdEdid *edid);

Gets the whitepoint.

#### Parameters

edid | A valid CdEdid |

#### Returns

CdColorYxy chromaticity

Since: 1.1.2

## Types and Values

### CD_EDID_ERROR

    #define CD_EDID_ERROR		(cd_edid_error_quark ())

### CD_TYPE_EDID

    #define CD_TYPE_EDID (cd_edid_get_type ())

### struct CdEdidClass

    struct CdEdidClass {
    	GObjectClass		 parent_class;
    };

### CdEdid

    typedef struct _CdEdid CdEdid;